myEasySync

myEasySync is a small program to synchronize two folders. At startup you will see a dialog where you can select two folders and some settings. The settings will be saved in a shortcut on your desktop, so you can easily perform certain backup tasks.

Shortcut wizard

Choose a name for the shortcut, a source and a target folder. You can also specify network paths like \\myserver\backup.

To include only certain files you can specify command line style file masks as parameters. Using *.doc;*.xls will only act on office documents. If you leave this field empty all files will be included. You can also exclude groups of files, e.g. *.bak;*.tmp for temporary and backup files. If you leave this field empty no files will be excluded.

myEasySync will analyze the two folders and show all differences, i.e. all updated or new files. Then you can choose to do one of three tasks:

Backup

If you choose Backup all files in the second folder (on the right), that don't exist in the first folder (on the left), will be deleted to save disk space. This way the backup folder doesn't get trashed with files you deleted in the original folder. After that all new and updated files from the first folder will be copied to the second folder. You could use Backup to save a folder on a removable media.

Restore

Choosing Restore has the exact opposite effect than backup. You could use Restore to import a folder saved on a removable media onto a different computer.

Synchronize

When synchronizing two folders no files will be deleted. All new and updated files from the first folder one will be copied to the second folder and the other way round. You could use Synchronize if you have new and updated files on the harddrive and on the removable media as well.

Options

You can also perform these tasks automatically. Then myEasySync runs minimized to a button in the taskbar. I recommend to make sure everything is working as you wish before using this feature, though. Without automation you can also exclude files from being copied or deleted by unchecking them in the list. Use the context menu to do that for more than one file at once.

Most of the time you will be searching for new and newer files to make a backup. The second option is useful in case of a data loss to explicitly use older files. The last option is can be used to keep folders on workstations aligned with one on the server.

You can further adjust the behaviour of myEasySync with the three checkboxes. Choose whether you want to include subfolders. You can turn off checking the file sizes and the free disk space. The backup will be faster and will also work on network drives. Whenever files are deleted an empty folder may be left behind. You can choose whether to delete the folder as well.

Experts

Of course myEasySync is still being called with parameters, the new dialog just hides that. This is the syntax if you prefer to do it by hand:

EasySync.exe
[folder1=]
[folder2=]
[include=] [exclude=]
[auto=(backup|restore|sync)]
[search=(new|old|both)]
[recurse=(on|off)]
[checksize=(on|off)]
[delempty=(on|off)]

If you right click a generated shortcut and select properties you can see the parameters in the target field on the page shortcut.

Errorcodes

When run from a batch file, you might be interested in the return codes of myEasySync.

Returncode | Description
0 | No errors.
1 | Some files were not backep up or restored.
2 | User canceled action.
3 | Not enough space in target folder.


Informations

Author | Fabian Mörchen
Compiler | Delphi 5.0
Status | Freeware
Informations | www.mybytes.de
Contact | fabian@mybytes.de
Acknowledgements | Shortcut creation with Jedi Code Library.
 | Copy of used library here.

This software is freeware so don't hesitate to copy it and pass it on to your friends. Still all rights are reserved, so you may not distribute this software without any licensing agreement. The software is provided as is and I will take no responsibility if anything goes wrong. Please report any bugs.